%global snapshot 20130216000435

Name:             fossil
Version:          1.25 
Release:          2.%{snapshot}%{?dist}
Summary:          A distributed SCM with bug tracking and wiki

Group:            Development/Tools
License:          BSD
URL:              http://www.fossil-scm.org/
Source0:          http://www.fossil-scm.org/download/fossil-src-%{snapshot}.tar.gz
# This patch make sure the build system will not try to build the provided sqlite3 libraries, so we are sure it uses the system ones
Patch0:           %{name}-use-system-sqlite3.patch
# For EPEL5 support
BuildRoot:        %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:    zlib-devel
BuildRequires:    sqlite-devel
BuildRequires:    openssl-devel

%description
Fossil is a simple, high-reliability, distributed software configuration
management with distributed bug tracking, distributed wiki and built-in web
interface.

%package doc
Summary:          Fossil documentation
Group:            Documentation

%description doc
Documentation in HTML format for %{name}.

%prep
%setup -q -n %{name}-src-%{snapshot}
%patch0
%{__rm} -f src/sqlite3.*

%build
# This gives configure-without-libdir-spec, but this is done because this is not generated by autoconf (but by autosetup)
# Because of this, it does not support the --host= argument like expected, and as such %%configure cannot be used
./configure --prefix=/usr --disable-internal-sqlite --with-openssl=auto
%{__make} CFLAGS="%{optflags}" %{?_smp_mflags}

%install
# For EPEL5 support
%{__rm} -fr %{buildroot}
make DESTDIR=%{buildroot} install

# For EPEL5 support
%clean
%{__rm} -fr %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYRIGHT-BSD2.txt
%attr(0755, -, -) %{_bindir}/fossil

%files doc
%doc www

%changelog
* Tue May 07 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.25-2.20130216000435
- Update file permissions for bin/fossil

* Fri May 03 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.25-1.20130216000435
- Update packaging

* Tue Sep 08 2009 Silas Sewell <silas@sewell.ch> - 0.0-0.2.20090828225927
- Add doc subpackage and make optflags

* Mon Sep 07 2009 Silas Sewell <silas@sewell.ch> - 0.0-0.1.20090828225927
- Initial package
